%global srcname grunt-cli
Name:                nodejs-grunt-cli
Version:             1.2.0
Release:             1
Summary:             Command-line interface for Grunt, the JavaScript testing framework
License:             MIT
URL:                 https://github.com/gruntjs/grunt-cli
Source0:             https://github.com/gruntjs/grunt-cli/archive/v%{version}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
Requires:            npm(grunt)
%description
Grunt is the JavaScript task runner.
Grunt-cli gives you access to the grunt command-line interface anywhere on
your system, which is useful when running a locally installed Grunt for your
project.

%prep
%autosetup -n grunt-cli-%{version}
%nodejs_fixdep findup-sync '~0.3'
%nodejs_fixdep nopt '^3.0.6'
%nodejs_fixdep resolve '^1.1.6'
sed -i '1 s|#!/usr/bin/env node|#!/usr/bin/node|' bin/grunt

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/grunt-cli
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/grunt-cli
install -p -D -m0755 bin/grunt \
    %{buildroot}%{nodejs_sitelib}/grunt-cli/bin/grunt-cli
mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/grunt-cli/bin/grunt-cli \
    %{buildroot}%{_bindir}/grunt
mkdir -p %{buildroot}%{_datadir}/bash-completion/completions
sed '1{\@^#!/bin/bash@d}' completion/bash \
    > %{buildroot}%{_datadir}/bash-completion/completions/grunt
chmod 0644 %{buildroot}%{_datadir}/bash-completion/completions/grunt
touch -r completion/bash %{buildroot}%{_datadir}/bash-completion/completions/grunt
%nodejs_symlink_deps

%files
%doc AUTHORS CHANGELOG.md README.md
%license LICENSE-MIT
%{nodejs_sitelib}/grunt-cli
%{_bindir}/grunt
%{_datadir}/bash-completion/completions/grunt

%changelog
* Thu Aug 20 2020 Anan Fu <fuanan3@huawei.com> - 1.2.0-1
- package init
